Subject: [BUG] security/openssl post-patch: is WRONG.
To: None <>
From: Michal Pasternak <>
List: tech-pkg
Date: 09/11/2003 17:37:34

sorry for uppercase in the topic and not-sending-pr - but tech-pkg is
MAINTAINER for openssl and I don't know how to fix this issue. Shoot, I even
don't have a NetBSD box connected to do send-pr (damn Realteks...). Anyway,
it _is_ quite important.

The wrong command is:
        for i in ${SEDFILES}; do  
                ${SED} -e "s/@MAKE@/${MAKE}/" ${WRKSRC}/$$i >           \

if ${MAKE} contains slashes - just like here (RedHat 8.0 and pkgsrc) - the
sed will return errors. I don't know how this should be handled (I mean -
yes, backslash it, but how to do that from pkgsrc?) - but correcting this
issue is important. Ah, could anyone check for this bug in other packages? 

Michal Pasternak ::
Noise to meet you.